Subject: Re: bug#15829: Opening nnfolder server on archive...failed

From: Sam Steingold <[email-masked]>
Date: Thu, 06 Feb 2014 13:53:54 -0500

> * Lars Ingebrigtsen <[email-masked]> [2014-02-05 18:29:34 -0800]:
>
> Sam Steingold <[email-masked]> writes:
>
>>> (defvoo nnfolder-directory (expand-file-name message-directory)
>>>   "The name of the nnfolder directory.")
>>
>> nnfolder-directory
>> ==> "/home/sds/Mail/archive"
>>
>> message-directory (customized to gnus-directory in .emacs)
>> ==> "/Users/sds/Mail/"
>>
>> gnus-directory (customized in .emacs)
>> ==> "/Users/sds/Mail/"
>>
>> (assq 'nnfolder-directory (third (assq 'nnfolder nnoo-definition-alist)))
>> ==> (nnfolder-directory . "/Users/sds/Mail/")
>
> Hm.  If you list the servers (with `^' in the group buffer), do you get
> any nnfolder servers there that contains the offending setting?

yes,

     {nnfolder:archive} (denied)

when I hit 'e', I get:

(nnfolder "archive"
          (nnfolder-directory "/home/sds/Mail/archive")
          (nnfolder-active-file "/home/sds/Mail/archive/active")
          (nnfolder-get-new-mail nil)
          (nnfolder-inhibit-expiry t))

this is coming from .newsrc.eld which I copied over when I was forced to
migrate from linux to macosx.
I have no idea how

(setq gnus-server-alist '(("archive" nnfolder "archive" (nnfolder-directory "/home/sds/Mail/archive") (nnfolder-active-file "/home/sds/Mail/archive/active") (nnfolder-get-new-mail nil) (nnfolder-inhibit-expiry t))))

ended up in newsrc.eld.

I have this in .emacs:

(custom-set-variables
 '(nnfolder-directory (expand-file-name "archive" gnus-directory))
 '(nnfolder-active-file (expand-file-name "active" nnfolder-directory)))

(I think I added them to work around the error)

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1265
http://www.childpsy.net/ http://think-israel.org http://truepeace.org
http://www.memritv.org http://americancensorship.org http://memri.org
Money does not "play a role", it writes the scenario.